Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.robot
Class RobotHtmlNode

    java.lang.Object
      scone.robot.RobotHtmlNode

    public class RobotHtmlNode

extends java.lang.Object

A robotHtmlNode extends the concept of NetNodes and HtmlNodes to fit the robot's needs. It has a set of attributes and a depth value. There can be many RobotHtmlNodes for one NetNode

Author:
  Frank Wollenweber

Constructor Summary
`RobotHtmlNode(HtmlNode htmlNode, int scannedDepth)` Constructor
`RobotHtmlNode(NetNode netNode, int scannedDepth)` Constructor

Method Summary
`java.lang.String` | `getAttribute(java.lang.String key)` Get the value of the specified attribute
`HtmlNode` | `getHtmlNode()` Get the htmlNode if existant.
`NetNode` | `getNetNode()` Get the netNode
`java.lang.String` | `getNodeId()` Get the ID of this robotHtmlNode
`int` | `getScannedDepth()` Get the scanned depth of this node
`SimpleUri` | `getSimpleUri()` Get the simpleUri of this Node
`void` | `setAttribute(java.lang.String key, java.lang.String value)` Set the value of the specified attribute
`void` | `setHtmlNode(HtmlNode htmlNode)` Set the htmlNode
`void` | `setNetNode(NetNode netNode)` Set the netNode
`void` | `setScannedDepth(int scannedDepth)` Set the scanned depth

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RobotHtmlNode

    public RobotHtmlNode(HtmlNode htmlNode,
                         int scannedDepth)

  Constructor

  Parameters:
    `htmlNode` - the htmlNode this robotHtmlNode belongs to
    `depth` - this node was scanned with this depth

### RobotHtmlNode

    public RobotHtmlNode(NetNode netNode,
                         int scannedDepth)

  Constructor

  Parameters:
    `netNode` - the netNode this robotHtmlNode belongs to. Might be used for documents with other mime-types then text/html
    `depth` - this node was scanned with this depth

Method Detail

### getSimpleUri

    public SimpleUri getSimpleUri()

  Get the simpleUri of this Node

  Returns:
    the simpleUri

### getHtmlNode

    public HtmlNode getHtmlNode()
                         throws NoHtmlNodeException

  Get the htmlNode if existant. This may throw a NullPointerException

  Returns:
    the htmlNode
  Throws:
    `NoHtmlNodeException`

### setHtmlNode

    public void setHtmlNode(HtmlNode htmlNode)

  Set the htmlNode

  Parameters:
    `htmlNode` - the htmlNode

### getNetNode

    public NetNode getNetNode()

  Get the netNode

  Returns:
    the netNode

### getNodeId

    public java.lang.String getNodeId()

  Get the ID of this robotHtmlNode

  Returns:
    the nodeId

### setNetNode

    public void setNetNode(NetNode netNode)

  Set the netNode

  Parameters:
    `netNode` - the netNode

### getScannedDepth

    public int getScannedDepth()

  Get the scanned depth of this node

  Returns:
    the scanned depth

### setScannedDepth

    public void setScannedDepth(int scannedDepth)

  Set the scanned depth

  Parameters:
    `scanned` - depth the depth

### getAttribute

    public java.lang.String getAttribute(java.lang.String key)

  Get the value of the specified attribute

  Parameters:
    `key` - This key identifies one attribute
  Returns:
    The value of the attribute

### setAttribute

    public void setAttribute(java.lang.String key,
                             java.lang.String value)

  Set the value of the specified attribute

  Parameters:
    `key` - The name of the attribute
    `value` - The value of the attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD